Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils
Class QNameProvider

    java.lang.Object
      org.mindswap.pellet.utils.QNameProvider

    public class QNameProvider

extends java.lang.Object

A class to convert URI's to QNames. Borrowed from SWOOP code.

Author:
  Evren Sirin

Constructor Summary
`QNameProvider()`

Method Summary
`static int` | `findLastNameIndex(java.lang.String str)`
`static int` | `findNameStartIndex(java.lang.String str)`
`static int` | `findNextNonNameIndex(java.lang.String str, int startIndex)`
`java.lang.String` | `getPrefix(java.lang.String uri)`
`java.util.Set` | `getPrefixSet()`
`java.lang.String` | `getURI(java.lang.String prefix)`
`java.util.Set` | `getURISet()`
`static boolean` | `isNameChar(char ch)`
`static boolean` | `isNameStartChar(char ch)`
`java.lang.String` | `longForm(java.lang.String qname)`
`boolean` | `setMapping(java.lang.String prefix, java.lang.String uri)`
`java.lang.String` | `shortForm(java.lang.String uri)`
`java.lang.String` | `shortForm(java.lang.String uri, boolean default_to_uri)`
`java.lang.String` | `shortForm(java.net.URI uri)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QNameProvider

    public QNameProvider()

Method Detail

### isNameStartChar

    public static boolean isNameStartChar(char ch)

### isNameChar

    public static boolean isNameChar(char ch)

### findNameStartIndex

    public static int findNameStartIndex(java.lang.String str)

### findLastNameIndex

    public static int findLastNameIndex(java.lang.String str)

### findNextNonNameIndex

    public static int findNextNonNameIndex(java.lang.String str,
                                           int startIndex)

### getPrefix

    public java.lang.String getPrefix(java.lang.String uri)

### getURI

    public java.lang.String getURI(java.lang.String prefix)

### setMapping

    public boolean setMapping(java.lang.String prefix,
                              java.lang.String uri)

### getPrefixSet

    public java.util.Set getPrefixSet()

### getURISet

    public java.util.Set getURISet()

### shortForm

    public java.lang.String shortForm(java.net.URI uri)

### shortForm

    public java.lang.String shortForm(java.lang.String uri)

### shortForm

    public java.lang.String shortForm(java.lang.String uri,
                                      boolean default_to_uri)

### longForm

    public java.lang.String longForm(java.lang.String qname)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.